/* pf_private_header.h */

#ifndef FT_PF_PRIVATE_H
#define FT_PF_PRIVATE_H
#include <stdarg.h> // to use va_arg

/*
** pf_next_word.c
*/

char *pf_next_word(const char **s);

/*
** pf_convert.c
*/

char *pf_convert(va_list ap, char *type, char **s);

/*
** pf_flag_transform.c
*/

char *pf_flag_transform(char *s, char *print, char *type, int *size);

/*
** pf_flag_transform_bonus.c
*/

char *pf_plus(char *s, char *print, char *type);
char *pf_sharp(char *s, char *print, char *type);
char *pf_sharp_again(char *s, char *print, char *type);
char *pf_space(char *s, char *print, char *type, int *size);

/*
** pf_utils.c
*/

char *pf_specifier(char *s);
int pf_put_word(int fd, char *s, char *type, int size);
char *pf_convert_with_flags(char *s, va_list ap, char *type, int *size);

#endif
